# class Net::HTTPMovedPermanently

Response class for `Moved Permanently` responses (status code 301).

The `Moved Permanently` response indicates that links or records returning this response should be updated to use the given URL.

This class also includes (indirectly) module `Net::HTTPHeader`, which gives access to its methods for getting headers.

References:

- Mozilla.

- RFC 9110.

- Wikipedia.

### Constants

HAS_BODY